#include "gridbase.h"

GridBase::GridBase(
        Vector2i index,
        float resolution)
    :index_(index),
      resolution_(resolution)
{
    origin_ = Vector2f((float)index_.x(), (float)index_.y()) * resolution_;
}

Vector2i GridBase::getIndex()
{
    return index_;
}

float GridBase::getResolution()
{
    return resolution_;
}

Vector2f GridBase::getOrigin()
{
    return origin_;
}
